'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.logger = exports.db = undefined;

var _arangojs = require('arangojs');

var _arangojs2 = _interopRequireDefault(_arangojs);

var _bunyan = require('bunyan');

var _bunyan2 = _interopRequireDefault(_bunyan);

var _config = require('js-abstract-synchronizer/config');

var _config2 = _interopRequireDefault(_config);

var _package = require('../package');

var _package2 = _interopRequireDefault(_package);

var _url = require('url');

var _url2 = _interopRequireDefault(_url);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var logger = _bunyan2.default.createLogger({ name: _package2.default.name });
var url = _url2.default.format({
  auth: _config2.default.db.username + ':' + _config2.default.db.password,
  hostname: _config2.default.db.host,
  port: _config2.default.db.port,
  protocol: 'http'
});
var db = (0, _arangojs2.default)({
  databaseName: _config2.default.db.name,
  url: url
});

exports.db = db;
exports.logger = logger;