'use strict';

var _SerializerFactory = require('js-abstract-synchronizer/serializer/SerializerFactory');

var _SerializerFactory2 = _interopRequireDefault(_SerializerFactory);

var _isBrowser = require('js-abstract-synchronizer/env/isBrowser');

var _isBrowser2 = _interopRequireDefault(_isBrowser);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports.SerializerFactory = _SerializerFactory2.default;

if (!(0, _isBrowser2.default)()) {
  // eslint-disable-next-line global-require
  var createApp = require('js-abstract-synchronizer/routing/createApp').default;

  module.exports.createApp = createApp;
}