'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _httpStatus = require('http-status');

var _httpStatus2 = _interopRequireDefault(_httpStatus);

var _NotFoundError = require('js-abstract-synchronizer/errors/NotFoundError');

var _NotFoundError2 = _interopRequireDefault(_NotFoundError);

var _superagentBluebirdPromise = require('superagent-bluebird-promise');

var _superagentBluebirdPromise2 = _interopRequireDefault(_superagentBluebirdPromise);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var privates = Symbol('privates');

var HttpSerializer = function () {
  function HttpSerializer(_ref) {
    var url = _ref.url;

    _classCallCheck(this, HttpSerializer);

    this[privates] = {
      url: url
    };
  }

  _createClass(HttpSerializer, [{
    key: 'configure',
    value: function configure() {
      return Promise.resolve();
    }
  }, {
    key: 'save',
    value: function save(object) {
      return _superagentBluebirdPromise2.default.post(this[privates].url + '/object').send(object);
    }
  }, {
    key: 'reload',
    value: function reload(id) {
      return _superagentBluebirdPromise2.default.get(this[privates].url + '/object/' + id).then(function (_ref2) {
        var body = _ref2.body;
        return body;
      }).catch(function (error) {
        return Promise.reject(error.status === _httpStatus2.default.NOT_FOUND ? new _NotFoundError2.default() : error);
      });
    }
  }]);

  return HttpSerializer;
}();

exports.default = HttpSerializer;